Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(117)

Unified Diff: git_cl/test/upload-local-tracking-branch.sh

Issue 5012006: Move git-cl into depot_tools.... (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools/
Patch Set: '' Created 10 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « git_cl/test/test-lib.sh ('k') | git_cl/test/upload-stale.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: git_cl/test/upload-local-tracking-branch.sh
===================================================================
--- git_cl/test/upload-local-tracking-branch.sh (revision 0)
+++ git_cl/test/upload-local-tracking-branch.sh (revision 0)
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -e
+
+. ./test-lib.sh
+
+setup_initgit
+setup_gitgit
+
+(
+ set -e
+ cd git-git
+ git checkout -q -b work HEAD^
+ git checkout -q -t -b work2 work
+ echo "some work done on a branch that tracks a local branch" >> test
+ git add test; git commit -q -m "local tracking branch work"
+
+ git config rietveld.server localhost:8080
+
+ # Prevent the editor from coming up when you upload.
+ export EDITOR=/bin/true
+ test_expect_success "upload succeeds (needs a server running on localhost)" \
+ "$GIT_CL upload -m test | grep -q 'Issue created'"
+)
+SUCCESS=$?
+
+cleanup
+
+if [ $SUCCESS == 0 ]; then
+ echo PASS
+fi
Property changes on: git_cl/test/upload-local-tracking-branch.sh
___________________________________________________________________
Added: svn:executable
+ *
« no previous file with comments | « git_cl/test/test-lib.sh ('k') | git_cl/test/upload-stale.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698